charge in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request.pos/v1/transaction in the request body, include charge in the transaction_type field and Authorization in the transaction_mode field. Also, include the value of is_deferred as true, send the deferred object and in months, include the total number of months for which your customer’s payment will be deferred.months parameter within the deferred object."deferred": {
"months": "10"
}/pos/v1/transaction and include the tip amount in the tip field. Send Authorization in the transaction_mode field and charge in the transaction_type as part of the request body.subtotal_iva or subtotal_iva0./pos/v1/transaction and send the value of the is_cashback parameter as true and specify the cashback amount in cashback_amount.reading_type is not set to NFC.curl --location --request POST 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
"amount": {
"currency": "CLP",
"iva": 0,
"subtotal_iva": 0,
"subtotal_iva0": 20000,
"tip": 0,
"extra_taxes": {
"airport_tax": 0,
"iac": 0,
"ice": 0,
"travel_agency": 0
}
},
"card_details": {
"pin_ksn": "FFFF4357486333600002",
"reading_type": "MCR",
"tracks": {
"enc_track1": "06056D9EE9D77E4D846912F77C0B37C5FC6A95D1DF21DD502D3A08E8141CF82818F5DC4FA7637F400EA488D388F2B70F8A22EAEFBBEEDDE93A118BFB789BD8C0",
"enc_track2": "FD580B3BBFCCB821EAB4AB64947C4632C0BE6C70AB4ECDE4",
"track_ksn": "FFFF4357486333600002"
}
},
"contact_details": {
"document_number": "123666",
"document_type": "0",
"email": "",
"first_name": "",
"last_name": "",
"second_last_name": "",
"phone_number": ""
},
"card": {
"card_holder_name": "John Doe"
},
"pos_details": {
"terminal_id": "PB04209860189",
"brand": "SUNMI",
"location": {
"latitude": -0.1848534,
"longitude": -78.4769761
},
"model": "P2-EU",
"version": "Kushki SunmiV1.1.13",
"has_print": true
},
"country": "CLP",
"client_transaction_id": "ae6dd91a-9173-4ec7-8934-3178454ef341",
"transaction_type": "charge",
"transaction_mode": "Authorization",
"cvm_type": "chip"
}'{
"additional_amounts": {
"account_type": "",
"amount": 0,
"amount_type": "",
"card_type": "",
"currency_code": ""
},
"authorized_amount": 611,
"card_type": "credit",
"cvm_type": "none",
"F11": "101619",
"franchise": "MASTERCARD",
"kushki_response": {
"code": "000",
"message": "Transacción Aprobada."
},
"message_fields": {
"F38": "121866",
"F39": "00"
},
"transaction_reference": "fb1d8f34-31fc-4d9d-ab7e-375d7f0801a5",
"transaction_status": "APPROVAL",
"transaction_type": "charge",
"ticket_number": "111727462978861299"
}